# Configuration Options

oslo.concurrency uses oslo.config to define and manage configuration options to allow the deployer to control how an application uses this library.

## oslo_concurrency

disable_process_locking
  Type:

    boolean

  Default:

    `False`

  Enables or disables inter-process locks.

lock_path
  Type:

    string

  Default:

    `<None>`

  Directory to use for lock files. For security, the specified directory should only be writable by the user running the processes that need locking. Defaults to environment variable OSLO_LOCK_PATH. If external locks are used, a lock path must be set.

this page last updated: 2026-07-14 19:34:14

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug